
const OracleService = require('../service/OracleService')

class acmUpdVendarestModel {
    constructor() {
        this.GET_ACMUPDVENDAREST = `
            UPDATE VENDAREST SET IDVENDAGERADA = 'S'
            WHERE CDFILIAL   = :P_CDFILIAL
            AND CDLOJA = :P_CDLOJA
            AND NRVENDAREST  = :P_NRVENDAREST
            AND CDCLIENTE	  = :P_CDCLIENTE
            AND CDCONSUMIDOR = :P_CDCONSUMIDOR
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ACMUPDVENDAREST, params);
        })
    }
}  

module.exports = new acmUpdVendarestModel();