const OracleService = require('../service/OracleService');

class adqMoviClieModel {
  constructor() {
    this.GET_ADQMOVICLIE = `
            SELECT VE.CDFILIAL, M.CDCLIENTE, M.CDCONSUMIDOR, VE.CDOPERADOR, VE.CDCAIXA, VE.NRSEQVENDA, M.VRMOVCLI, M.VRSALDOCONS, M.NRSEQMOVCLI
              FROM MOVICLIE M, VENDA VE
             WHERE (M.CDFILIAL     = :P_CDFILIAL   )
               AND (M.CDCAIXA= :P_CDCAIXA    )
               AND (M.NRSEQVENDA   = :P_NRSEQVENDA )
               AND (M.CDCLIENTE    = :P_CDCLIENTE  )
               AND (M.CDFILIAL     = VE.CDFILIAL   )
               AND (M.CDCAIXA= VE.CDCAIXA    )
               AND (M.NRSEQVENDA   = VE.NRSEQVENDA )
               AND (M.CDCLIENTE    = VE.CDCLIENTE  )
               AND (VE.DTENTRVENDA = TIMESTAMP :P_DTENTRVENDA)
        `;
  }

  get(params) {
    return OracleService.connect().then(() => OracleService.execute(this.GET_ADQMOVICLIE, params));
  }
}

module.exports = new adqMoviClieModel();
