import { IConfig } from '@zeedhi/core';

let backEndPoint:any;
let metaData:any;
if (process.env.NODE_ENV === 'development') {
  backEndPoint = process.env.VUE_APP_END_POINT;
  metaData = process.env.VUE_APP_METADATA_END_POINT;
} else {
  backEndPoint = document.location.origin;
  metaData = `${document.location.origin}/data/`;
}

const config: IConfig = {
  endPoint: backEndPoint,
  metadataEndPoint: metaData,
};

export default config;
