
const OracleService = require('../service/OracleService')

class assBaseCalcModel {
    constructor() {
        this.GET_ASSBASECALC = `
            TRUNC(I.QTPRODVEND * (I.VRUNITVEND + NVL(I.VRUNITVENDCL,0)),2) - NVL(I.VRDESITVEND,0) + NVL(I.VRACRITVEND,0)) AS VRBCICMS,
               SUM((TRUNC(I.QTPRODVEND * (I.VRUNITVEND + NVL(I.VRUNITVENDCL,0)),2) - NVL(I.VRDESITVEND,0) + NVL(I.VRACRITVEND,0)) * (O.VRPEALPRODIT/100)) AS VRIMPCALC,
             P.IDTPIMPOSFIS, O.VRPEALPRODIT
              FROM VENDA V, ITEMVENDA I, ITVENDAIMPOS O, IMPOSTO P
             WHERE (V.CDFILIAL     = :P_CDFILIAL   )
               AND (V.CDCAIXA= :P_CDCAIXA    )
               AND (V.DTENTRVENDA  = :P_DTENTRVENDA)
               AND (V.IDSITUVENDA  = 'O'     )
               AND (V.CDFILIAL     = I.CDFILIAL    )
               AND (V.CDCAIXA= I.CDCAIXA     )
               AND (V.NRSEQVENDA   = I.NRSEQVENDA  )
               AND (I.CDFILIAL     = O.CDFILIAL    )
               AND (I.CDCAIXA= O.CDCAIXA     )
               AND (I.NRSEQVENDA   = O.NRSEQVENDA  )
               AND (I.NRSEQUITVEND = O.NRSEQUITVEND)
               AND (O.CDIMPOSTO    = P.CDIMPOSTO   )
               AND (P.IDTPIMPOSFIS <> 'S'    )
               AND (V.IDAPROVACAONFCE = 'P'  )
               AND (V.IDTPEMISVEND = 'E' OR V.IDTPEMISVEND IS NULL)
            GROUP BY P.IDTPIMPOSFIS, O.VRPEALPRODIT
        `
    }
    get(params) {
        return OracleService.connect().then(sql => {
            return OracleService.execute(this.GET_ASSBASECALC, params);
        })
    }
}  

module.exports = new assBaseCalcModel();