import { Modal, ModalService } from '@zeedhi/common';
import { Socket } from 'socket.io-client';

export class HistoricoController {
  public socket?: Socket;

  public title: any;

  private fullscreenModal!: Modal;

  public async createFullscreenModal() {
    this.fullscreenModal = await ModalService.createFromJson('historico', true);
  }

  public destroyFullscreenModal() {
    this.fullscreenModal?.destroy();
  }

  public openFullscreenModal() {
    this.fullscreenModal.show();
  }

  public closeFullscreenModal() {
    this.fullscreenModal.hide();
  }

  /**
   * Método executado quando o grid é criado
   */
  public gridMounted() {
    // // inicializa o socket
    // this.socket = io(Config.endPoint);

    // this.socket.off(SocketEvent.CONNECTION)
    //   .emit('sales', {
    //     slave: false,
    //   });

    // this.socket.off(SocketEvent.CONNECTION)
    //   .on('sales', async (branc: IDictionary) => {
    //     await component.datasource.updateData(branc.message.vendas);
    //     await component.datasource.get();
    //   });
  }

  /**
   * Método executado logo antes do grid ser destruído
   */
  public gridBeforeDestroy() {

  }
}
